Skip to content
v0.5.1GitHub

Using

Lists the views of a domain, including their raw (unmodified) SQL text.

applies to v0.5.1
GET
/store-api/rel/{domain}/views
curl --request GET \
--url https://example.com/store-api/rel/example/views \
--header 'Authorization: Bearer <token>'
domain
required
string

Relational domain

Views of the domain, incl. raw SQL text

Media typeapplication/json
Array<object>
object
created_at
required
integer format: int64
name
required
string
sql
required
string

Example generated

[
{
"created_at": 1,
"name": "example",
"sql": "example"
}
]

Domain not found

Media typetext/plain
string

Domain is being deleted

Media typetext/plain
string

Per-domain request budget exceeded

Media typetext/plain
string

Relational engine disabled

Media typetext/plain
string